Bug 410661 - add environment .note section to corefile
add environment .note section to corefile
Status: CLOSED INSUFFICIENT_DATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: kernel (Show other bugs)
5.1
All Linux
low Severity low
: ---
: ---
Assigned To: Neil Horman
Red Hat Kernel QE team
:
Depends On:
Blocks: 173278
  Show dependency treegraph
 
Reported: 2007-12-04 11:46 EST by Andrew Cagney
Modified: 2009-04-17 07:02 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-04-17 07:02:51 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Andrew Cagney 2007-12-04 11:46:54 EST
The environment passed into the core file is not available (in theory one could
groak it via the .auxv note section and memory but in reality it is corrupted).
 This makes actions such as correctly restarting a corefile impossible.

Suggest writing out the environement (environ[]) to a separate .note section.
Comment 1 Neil Horman 2008-08-05 12:30:58 EDT
with 5.3 you can use proc/sys/kernel/core_pattern to interrogate /proc/<pid>/environ to grab a crashing processes environment
Comment 2 Andrew Cagney 2008-08-11 10:15:46 EDT
(In reply to comment #1)
> with 5.3 you can use proc/sys/kernel/core_pattern to interrogate
> /proc/<pid>/environ to grab a crashing processes environment

This sounds like a potential way for us to implement a prototype core-file generator that includes the environ in the core proper?  We'll then still need to get it integrated into the kernel proper.
Comment 4 Neil Horman 2008-11-17 14:37:48 EST
Not sure whats left to be done here.  The requestors account has been closed, and I think that the functionality that is required is implemented in 5.3 via the core_patter facility.  Does anyone with an interest in this bug have any more input here, or shall we close this as NEXTRELEASE?
Comment 5 Neil Horman 2009-04-17 07:02:51 EDT
closing, no response

Note You need to log in before you can comment on or make changes to this bug.